# noded/backend

## Requirements to develop
- Node.js 14.x
- MongoDB 4.x
- Yarn package manager (version 1.x)

## Setting up develop
- Clone this repo
- Run `yarn install`
- Copy `example.env` to `.env`
- Edit `.env`
    - Change `LOGGING_LEVEL` to `7`
    - Change database information, if necessary
    - Change `ENVIRONMENT` to `development`
    - Change `UPLOAD_DEFAULT_STORE` to `flitter`
        - You can leave this as `s3` if you specify an S3-compatible API and credentials.
- Make sure Flitter can start using `./flitter test`

## Basics
- Run `node index.js` to start the main server.
    - I like to use `nodemon` to auto-reload when files change.
- To access the shell for debugging & testing, run:
    - `node --experimental-repl-await flitter shell`

